#
# spec file for package wdfs
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wdfs
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  neon-devel
BuildRequires:  openssl-devel
Requires:       fuse
Summary:        WebDAV file system
License:        GPL-2.0+
Group:          System/Filesystems
Version:        1.4.2
Release:        lp152.3.5
Url:            http://noedler.de/projekte/wdfs/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
wdfs is a WebDAV filesystem with special features for accessing
subversion repositories. It is based on fuse and neon.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR="%buildroot" install

%files
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog  COPYING  README  TODO
%_bindir/*

%changelog
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
* Wed May  9 2007 max@suse.de
- New version: 1.4.2
- Obsoletes all the patches we had before.
* Sun Jul 23 2006 olh@suse.de
- adapt for neon 0.26 API
* Tue Jul 18 2006 max@suse.de
- New package: wdfs - a userspace file system for WebDAV
- wdfs-cmdline.patch: fixes some array overrun conditions in the
  command line parser and hides command line arguments from the
  process table.
